Subject: Re: [PATCH] yacc, lex: new 'no-ylwrap' option to prevent use of the 'ylwrap' script

From: Eric Blake <[email-masked]>
Date: Tue, 26 Jun 2012 10:18:54 -0600

[adding autoconf]

On 06/26/2012 09:58 AM, Akim Demaille wrote:
> 
> Le 26 juin 2012 à 17:35, Stefano Lattarini a écrit :
> 
>> This is probably a better idea, yes.  This could probably be done by
>> enhancing AM_PROG_LEX and defining a similar new AM_PROG_YACC macro.
>> Or better again, it could be done directly in AC_PROG_LEX and
>> AC_PROG_YACC, so that we could just rely on them in the future
>> (in the meantime, we could copy their new definitions in our
>> 'm4/' directories, so that the new improved definitions will still
>> be accessible to users with older Autoconfs).
> 
> I had sent a message about such macros to Autoconf, but
> to no avail.
> 
> http://lists.gnu.org/archive/html/autoconf-patches/2012-04/msg00001.html

Eek - that just shows that I'm really behind on reading my email.

Just from reading this summary, the idea of improving AC_PROG_LEX and
AC_PROG_YACC to be more useful makes sense, especially if it would make
automake easier to maintain.  What sort of improvements are needed?

> 
> This initial work leaves in Bison as m4/flex.m4.  I know there is
> work to do (test, doc etc.), but at least I'd like some feedback.
> Then I'll proceed to Yacc/Bison.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org